---@meta

---@class UWG_WinchBar_Rope_Slider_C : UUserWidget
---@field UberGraphFrame FPointerToUberGraphFrame
---@field WinchImage UImage
---@field RopeSpacer USpacer
---@field RopeImage UImage
---@field Value double
local UWG_WinchBar_Rope_Slider_C = {}

function UWG_WinchBar_Rope_Slider_C:UpdateSlider() end
---@param CurrentRopeLength float
---@param TargetRopeLength float
---@param MaxRopeLength float
---@param IsWinchActive boolean
---@param IsWinchPulling boolean
---@param IsWinchReleasing boolean
function UWG_WinchBar_Rope_Slider_C:UpdateSliderValues(CurrentRopeLength, TargetRopeLength, MaxRopeLength, IsWinchActive, IsWinchPulling, IsWinchReleasing) end
---@param IsDesignTime boolean
function UWG_WinchBar_Rope_Slider_C:PreConstruct(IsDesignTime) end
---@param EntryPoint int32
function UWG_WinchBar_Rope_Slider_C:ExecuteUbergraph_WG_WinchBar_Rope_Slider(EntryPoint) end


